flumotion-admin(1)

NAME
flumotion-admin - streaming media server administration GUI

SYNOPSIS
flumotion-admin [ -h ] [ --debug debug configuration ] [ -m manager ] [ --no-ssl ]

DESCRIPTION
flumotion-admin is a GUI application that provides administration capabilities for the flumotion streaming server. Using it, you can configure and monitor the streams flumotion serves. flumotion-admin connects to a running flumotion-manager to control the manager, start and stop components, and display logging and monitoring information about the running components. You must start flumotion-manager before you can use flumotion-admin , but once you've done so you can just run flumotion-admin with no arguments to start the GUI.

OPTIONS

-h, --help
    Show a brief help message, then exit.

--version
    Show the version number.

-v, --verbose
    Be verbose in console output. This is equivalent to setting the debug level to 3, and will override any debug specifiers.

-dDEBUG, --debug=DEBUG
    Set the debug configuration to the specified debug string. See the Debugging section for details of this.

-mMANAGER, --manager=MANAGER
    Set the manager connection string in the form [username[:password]@]host:port

--no-ssl
    Disable encryption when connecting to the manager.

DEBUGGING
In the unlikely event of something in flumotion not working, you might want to debug it. The flumotion tools ( flumotion-worker , flumotion-admin , and flumotion-manager ) all alow you to turn on debugging output in two different ways. Firstly, you can use an environment variable, FLU_DEBUG. Secondly, you can launch the program with a -d or --debug switch. Either approach allows you to specify a debug configuration string with the following syntax:
    name1:n1,name2:n2,name3:n3
In this syntax, the 'name' variables can be replaced with the name of a particular module within flumotion (such as 'admin', 'twisted', etc.). You can also use '*' to specify all modules. The 'n' variables are numbers from 1 to 5, larger numbers corresponding to more verbose output (ERROR, WARN, INFO, DEBUG, and LOG). At level 4, full debugging information is emitted. You can also use an abbreviated form where you just supply a single number, thisuses that debug level for all modules. Thus the simplest way to enable full debug output for all modules is to use '-d 4' on the command line. A more complex example would be '-d *:3,admin:4' to set the logging level for the admin module to DEBUG, and for all other modules to INFO.

BUGS
Hopefully none. If you find any bugs, please report them at https://core.fluendo.com/trac/cgi-bin/trac.cgi

SEE ALSO
flumotion(1),flumotion-worker(1),flumotion-manager(1)